---
title: SpeechSynthesisEvent.utterance
slug: Web/API/SpeechSynthesisEvent/utterance
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechSynthesisEvent
  - Web Speech API
  - speech
  - synthesis
  - utterance
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>utterance</code></strong> read-only property of the {{domxref("SpeechSynthesisUtterance")}} interface returns the {{domxref("SpeechSynthesisUtterance")}} instance that the event was triggered on.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">event.utterance;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("SpeechSynthesisUtterance")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">utterThis.onpause = function(event) {
  var char = event.utterance.text.charAt(event.charIndex);
  console.log('Speech paused at character ' + event.charIndex + ' of "' +
  event.utterance.text + '", which is "' + char + '".');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechsynthesisevent-utterance', 'utterance')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechSynthesisEvent.utterance")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
